Subject: bug#41840: closed (Re: [bug#41840] Transmission 3.00)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 Jul 2020 19:45:02 +0000

Your bug report

#41840: Transmission 3.00

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41840: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41840
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41840] Transmission 3.00
From: Leo Famulari <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Jul 2020 15:43:48 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Jul 12, 2020 at 12:53:04AM +0200, Marius Bakke wrote:
> Leo Famulari <[email-masked]> writes:
> > It works fine when I set, for example:
> >
> > CURL_CA_BUNDLE=/etc/ssl/certs/ca-certificates.crt
> 
> This is <https://issues.guix.gnu.org/22138>, right?
> 
> I think setting native-search-paths on Transmission as a workaround is
> OK for now.

I found that it also honors SSL_CERT_DIR and SSL_CERT_FILE.

Since these variables are handled automatically on Guix System and we
suggest in the manual that foreign distro users set them, I pushed the
Transmission update without setting up any search paths.

Guix profile search paths do not effect the environment of systemd
services, so they would not help the majority of people using
Transmission on foreign distros anyway.

Subject: Transmission 3.00
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Sat, 13 Jun 2020 17:13:56 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches update the Transmission bittorrent program to 3.00 and
also update the helper program tremc so that it keeps working.

I've tested the patches and would push them, but I have a question about
the license.

Our package has described it as GPL3+, but the COPYING file specifically
allows GPL2 and GPL3, but there is no "or later" clause. And the source
file headers match this.

So, I think the license should be a list of GPL2 and GPL3. Is that
correct?